Skip to main content
GET
Get a layout

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string<uuid>
required

Matter Id

itemId
string<uuid>
required

Layout item Id

Response

When request is successful. Returns a 'LayoutMatterItem' object.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
name
string | null

Name of the layout item.

Example:

"Item"

description
string | null

Brief description of the layout item.

Example:

"Text describing item"

itemId
string<uuid>

Unique identifier for the layout item.

Example:

"59791902-6280-471b-bd18-f8439ba3042f"

parentId
string | null

Unique identifier for the parent layout design.

Example:

"Client"

index
integer<int32>

Zero-based index of the layout item.

Example:

0

parentIndex
integer<int32> | null

Zero-based index of the parent layout matter item, if one exists.

Example:

0

layoutDesign
object | null

Hypermedia link of the layout design.

values
object[] | null

List of layout values.

events
object[] | null

List of layout events.